Eventi
Esta página aún no está disponible en tu idioma.
GET /api/v2/events
Sezione intitolata “GET /api/v2/events”Eventi della flotta dell’owner della chiave (ingresso/uscita da un’area, accensione, sosta, allarmi…). Permesso: read_events.
| Parametro | Default | Note |
|---|---|---|
type |
— | filtro per tipo evento (es. geofence_enter) |
device |
— | filtro per IMEI |
from / to |
— | finestra temporale, ISO 8601 |
limit |
50 | 1–200 |
offset |
0 |
curl -H "X-API-Key: $AITRACK_API_KEY" \ "https://api.aitrack.it/api/v2/events?type=geofence_enter&limit=50"const url = new URL('https://api.aitrack.it/api/v2/events');url.searchParams.set('type', 'geofence_enter');url.searchParams.set('limit', '50');
const res = await fetch(url, { headers: { 'X-API-Key': process.env.AITRACK_API_KEY } });const { data, meta } = await res.json();res = requests.get( "https://api.aitrack.it/api/v2/events", headers={"X-API-Key": api_key}, params={"type": "geofence_enter", "limit": 50}, timeout=10,)events = res.json()["data"]{ "data": [ { "id": 5521, "type": "geofence_enter", "message": "Furgone 1 è entrato in Magazzino", "device_imei": "352093081452312", "data": { "geofence_id": 12 }, "read": false, "occurred_at": "2026-07-14T08:59:00.000Z" } ], "meta": { "pagination": { "limit": 50, "offset": 0, "count": 1 } }}